@charset "utf-8";

/* 全体設定 */
*,
::before,
::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img {
    max-width: 100%;
}

ul,
ol {
    list-style: none;
}

a {
    color: inherit;
    text-decoration: none;
}

body {
    font-family: "Zen Maru Gothic", serif;
    font-weight: 400;
    font-style: normal;
    color: #444;
    font-size: 62.5%;
    line-height: 2;
    letter-spacing: 2px;
    position: relative;
    background-color: #fff;
    overflow-x: hidden;
}





/* ----------------------
 ローディング画面の設定
---------------------- */

#loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    /* background-color: #b0d0c6;
    background-image: linear-gradient(19deg, #b0d0c6 0%, #c3d5c7 50%, #ffffff 100%); */
    background-image: linear-gradient(90deg, rgba(255, 247, 229, 1), rgba(218, 245, 236, 1));
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    opacity: 1;
    transition: opacity 1s ease, visibility 1s ease;
}

.loaded {
    opacity: 0;
    visibility: hidden;
}




/* ----------------------
 ヘッダー・ナビ設定
---------------------- */
header {
    max-width: 400px;
}

/* ロゴ */
.imgLogo {
    width: 30%;
}

/* ハンバーガーメニューボタン設定 */
#menu-btn,
.btn {
    display: none;
}

/* ボタンの外枠の設定 */
.btn {
    width: 50px;
    height: 50px;
    position: fixed;
    top: 2%;
    right: 3%;
    /* ハンバーガーメニューの位置設定 */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    cursor: pointer;
}


/* メニューボタンの設定 */
.btn span,
.btn span::before,
.btn span::after {
    content: "";
    display: block;
    width: 30px;
    height: 0.5px;
    background-color: #000;
    position: absolute;
    transition: 0.5s;
}

.btn span::before {
    top: -10px;
}

.btn span::after {
    bottom: 10px;
}

/* チェックをした時の設定 */
#menu-btn:checked~.btn span {
    background-color: transparent;
}

/* inputタグがチェックされたときの兄弟要素である.btnの子孫要素のspan::beforeを特定 */
#menu-btn:checked~.btn span::before {
    top: 0;
    transform: rotate(45deg);
    background-color: #666;
}

/* inputタグがチェックされたときの兄弟要素である.btnの子孫要素のspan::afterを特定 */
#menu-btn:checked~.btn span::after {
    top: 0;
    transform: rotate(-45deg);
    background-color: #666;
}


/* ナビゲーションの設定 */
.allNav {
    position: fixed;
    top: 0;
    left: 100%;
    width: 100%;
    height: 100vh;
    background-color: #fff;
    z-index: 999;
    transition: 1s;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: scroll;
}

.g-nav {
    padding: 5% 10%;
    color: #fff;
    background-color: #8CAFA4;
    margin-bottom: 5%;
}

/* チェックした時の設定 */
#menu-btn:checked~.allNav {
    left: 0;
}

.g-nav li {
    margin: 12% auto;
    font-size: 1.4rem;
    color: #fff;
    text-align: center;
    line-height: 1.3;
}

.g-nav span {
    font-size: .7rem;
    font-weight: bold;
}

.g-nav li:hover {
    color: #757575;
}


/* ナビ内の店舗設定 */
/* .flexInner の調整 */
.flexInner {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin-top: 6%;
    padding: 20px;
    /* メニュー内で余白を追加 */
}

.shopName {
    width: 100px;
    /* 幅を固定 */
    height: 100px;
    /* 高さを固定 */
    background-color: #8CAFA4;
    border-radius: 50%;
    padding: 22px 10px 0;
}

.shopName h4 {
    font-weight: 400;
    text-align: center;
    font-size: .85rem;
    color: #fff;
}

.shopTime {
    flex-basis: 50%;
}

.shopTime h4 {
    text-align: center;
    font-size: .7rem;
}

.shopTime h4::after {
    display: block;
    content: "";
    width: 100%;
    height: .5px;
    background-color: #666;
}

.flex {
    display: flex;
    font-size: .7rem;
    justify-content: flex-end;
}

.item1 {
    flex-basis: 40%;
}

.item2 {
    flex-basis: 55%;
}




/* フッター設定 */
footer {
    text-align: center;
}



/* モバイル画面時の非表示設定 */
.right_col,
.left_col {
    display: none;
}

#style,
#menu,
#stylist,
#salon {
    display: none;
}



/* ----------------------
パソコン画面サイズ設定
---------------------- */
@media (min-width: 1024px) {
    body {
        position: relative;
        margin: 0;
        height: 100vh;
        overflow-y: hidden;
    }

    /* 左サイド・右サイド・モバイル画面の横並び設定 */
    .flexAll {
        width: 100vw;
        display: flex;
        justify-content: space-evenly;
        height: 100%;
    }

    /* 左サイド */
    .pc_logo img {
        width: 25%;
        position: fixed;
        top: -10%;
        left: 4%;
    }

    .pc_logo p {
        width: 25%;
        position: fixed;
        bottom: 10%;
        left: 15%;
        font-size: calc(1vw + 1rem);
        line-height: 1.5;
    }

    .left_col {
        display: flex;
        flex-basis: 40%;
        overflow: hidden;
        /* コンテンツがはみ出した場合に隠す */
    }

    .gallerySlick {
        width: 20%;
        height: auto;
        object-fit: cover;
        border-radius: 43% 66% 44% 59% / 69% 59% 51% 41%;
        overflow: hidden;
        position: fixed;
        top: 35%;
        left: 10%;
    }

    .gallerySlick img {
        /* width: 100%; */
        width: clamp(400px, 60%, 800px);
        /* 横幅をカラムに合わせる */
        /* height: auto; */
        display: block;
        opacity: .9;
        animation-name: rotate1;
        animation-duration: 5s;
        animation-iteration-count: infinite;
        animation-timing-function: linear;
    }

    @keyframes rotate1 {
        0% {
            transform: rotate(0deg);
        }

        30% {
            transform: rotate(-3deg);
        }

        80% {
            transform: rotate(3deg);
        }

        100% {
            transform: rotate(0deg);
        }
    }


    /* 中央（モバイルコンテナ）PC時はスクロール可能に */
    .mobile-container {
        overflow-y: auto;
        height: 100vh;
        max-height: 100vh;
        -webkit-overflow-scrolling: touch;
    }

    /* 右サイド */
    .right_col {
        display: inline-block;
        flex-basis: 30%;
        order: 3;
        /* ここにナビゲーションスタイルを追加 */
    }

    .pc_footer {
        position: fixed;
        bottom: 10px;
        text-align: center;
    }

    .pc_footer ul {
        font-size: 1.5rem;
        padding: 6%;
        transition: all .5s;
    }

    .nav_main li:hover {
        color: #8CAFA4;
        font-weight: bold;
        transition: all 0.5s;
    }


    /* 予約ボタン設定 */
    .pcBooking {
        padding: 10%;
    }

    .pcBookingBtn {
        margin: 0 auto 25px;
        width: 43%;
        height: auto;
        background-color: #fff;
        border-radius: 20px;
        font-size: .8rem;
        line-height: 3;
        border: 1px solid #666;
        text-align: center;
        transition: all 0.3s;
    }

    .pcBookingBtn:hover {
        font-weight: bold;
        background-color: #C3D5C7;
        border: 1px solid #C3D5C7;
        cursor: pointer;
        opacity: .8;
        transition: all 0.3s;
    }

    .pc_insta {
        width: 33%;
        margin-top: 2%;
        margin: 0 auto;
    }

    .pc_insta ul {
        display: flex;
        justify-content: space-evenly;
        margin: 0;
    }

    .pc_insta ul li {
        width: 20%;
    }

    .pc_copyright {
        font-size: .8rem;
    }

    /* パソコン画面の背景設定 */
    .background {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background-image: url(../img/backimg/01.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        opacity: .6;
        z-index: -1;
    }

    nav {
        display: none;
    }

    /* パソコン画面の表示設定 */
    #style,
    #menu,
    #stylist,
    #salon {
        display: block;
    }

    /* 余白の調整 */
    .booking {
        margin-bottom: 30%;
    }

    .recruit {
        margin-bottom: 30%;
    }

    #gallery {
        margin-bottom: 30%;
    }
}